part of "router.dart";

class AppPages {
  AppPages._();

  static String get initialPath => "/";

  static final routes = [
    GetPage(
        preventDuplicates: true,
        name: Routes.root.mainPath,
        page: () => const RootPage(),
        transition: Transition.fadeIn,
        bindings: [
          RootBinding(),
        ],
        title: null,
        children: [
          GetPage(
              preventDuplicates: true,
              name: Routes.button.mainPath,
              page: () => const ButtonPage(),
              transition: Transition.fadeIn,
              bindings: [
                ButtonBinding(),
              ],
              title: null),
          GetPage(
              preventDuplicates: true,
              name: Routes.dialog.mainPath,
              page: () => DialogPage(),
              transition: Transition.fadeIn,
              bindings: [
                DialogBinding(),
              ],
              title: null),
          GetPage(
              preventDuplicates: true,
              name: Routes.settings.mainPath,
              page: () => SettingsPage(),
              transition: Transition.fadeIn,
              bindings: [
                SettingsBinding(),
              ],
              title: null),
          GetPage(
              preventDuplicates: true,
              name: Routes.tabbar.mainPath,
              page: () => TabbarPage(),
              transition: Transition.fadeIn,
              bindings: [
                TabbarBinding(),
              ],
              title: null),
          GetPage(
              preventDuplicates: true,
              name: Routes.toast.mainPath,
              page: () => ToastPage(),
              transition: Transition.fadeIn,
              bindings: [
                ToastBinding(),
              ],
              title: null),
          GetPage(
              preventDuplicates: true,
              name: Routes.awards.mainPath,
              page: () => const AwardPage(),
              transition: Transition.fadeIn,
              bindings: [
                AwardBinding(),
              ],
              title: null),
          GetPage(
              preventDuplicates: true,
              name: Routes.store.mainPath,
              page: () => const StorePage(),
              transition: Transition.fadeIn,
              bindings: [
                StoreBinding(),
              ],
              title: null),
          GetPage(
              preventDuplicates: true,
              name: Routes.visual.mainPath,
              page: () => const VisualDebugPage(),
              transition: Transition.fadeIn,
              bindings: [
                VisualDebugBinding(),
              ],
              title: null),
          DailyChallengeRoutes.dailyChallengePage
        ]),
    GetPage(
        preventDuplicates: true,
        name: Routes.webview.mainPath,
        page: () => const WebviewPage(),
        transition: Transition.fadeIn,
        bindings: [
          WebviewBinding(),
        ],
        title: null,
        children: [
          GetPage(
              preventDuplicates: true,
              name: Routes.privacySettings.mainPath,
              page: () => const PrivacySettingsPage(),
              transition: Transition.fadeIn,
              bindings: [
                PrivacySettingsBinding(),
              ],
              title: null)
        ])
  ];
}
